ru.bitel.bgbilling.modules.tv.access.om.event

## Class OmTvProductsModifyEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.tv.access.om.event.OmTvProductsModifyEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class OmTvProductsModifyEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OmTvProductsModifyEvent()`
    `` | `OmTvProductsModifyEvent(int moduleId, int contractId, int userId, int deviceId, int tvAccountId, java.util.List<ProductEntry> productEntryList, java.util.Set<java.lang.Integer> optionIds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Set<java.lang.Integer>` | `filterProductSpecByDepends(ProductSpecRuntimeMap productSpecRuntimeMap, java.util.Map<java.lang.Integer,java.lang.Integer> idMap)`
    `protected void` | `filterProductSpecByDepends(ProductSpecRuntimeMap productSpecRuntimeMap, TvAccountRuntime tvAccountRuntime, java.util.Date now, java.util.Set<java.lang.Integer> add, java.util.Set<java.lang.Integer> remove)` Смысл в том чтобы отключать/включать по зависимостям.
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `ProductOrderEvent` | `toOmEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess access, ConnectionSet connectionSet, java.util.Date now)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OmTvProductsModifyEvent

          protected OmTvProductsModifyEvent()

    - #### OmTvProductsModifyEvent

          public OmTvProductsModifyEvent(int moduleId,
                                         int contractId,
                                         int userId,
                                         int deviceId,
                                         int tvAccountId,
                                         java.util.List<ProductEntry> productEntryList,
                                         java.util.Set<java.lang.Integer> optionIds)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### toOmEvent

          public ProductOrderEvent toOmEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess access,
                                             ConnectionSet connectionSet,
                                             java.util.Date now)
                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### filterProductSpecByDepends

          protected final void filterProductSpecByDepends(ProductSpecRuntimeMap productSpecRuntimeMap,
                                                          TvAccountRuntime tvAccountRuntime,
                                                          java.util.Date now,
                                                          java.util.Set<java.lang.Integer> add,
                                                          java.util.Set<java.lang.Integer> remove)
                                                   throws ru.bitel.bgbilling.common.BGException

      Смысл в том чтобы отключать/включать по зависимостям. И только те, на которые повлияли изменения из этого события.
      Parameters:
        `productSpecRuntimeMap` -
        `tvAccountRuntime` -
        `now` -
        `add` -
        `remove` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### filterProductSpecByDepends

          protected final java.util.Set<java.lang.Integer> filterProductSpecByDepends(ProductSpecRuntimeMap productSpecRuntimeMap,
                                                                                      java.util.Map<java.lang.Integer,java.lang.Integer> idMap)
                                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`